Brightness icons are suboptimal

Bug #1289465 reported by Matthew Paul Thomas on 2014-03-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
indicator-power (Ubuntu)
Low
Charles Kerr
ubuntu-system-settings (Ubuntu)
Low
Unassigned
ubuntu-themes (Ubuntu)
Low
Matthieu James

Bug Description

Ubuntu Trusty r188, Ubuntu 14.10 r2, Ubuntu 14.10 r152

1. Go to System Settings > "Battery".
2. Look at the icons at the ends of the "Display brightness" slider.

What you see:
* The minimum-brightness icon is a light bulb with no rays.
* The maximum-brightness icon is a light bulb with rays and a lightning bolt inside it.

What you should see:
* The minimum-brightness bulb should have rays, because it is not zero brightness.
* The maximum-brightness icon does not have a lightning bolt, because that is strongly associated with battery charging.

Related branches

Changed in ubuntu-system-settings (Ubuntu):
status: New → Confirmed
Charles Kerr (charlesk) wrote :

This is the "torch-on" icon in ubuntu-mobile.

Changed in ubuntu-themes (Ubuntu):
status: New → Confirmed
Changed in ubuntu-themes (Ubuntu):
assignee: nobody → Matthieu James (tiheum)
description: updated
summary: - Full-brightness icon has a lightning bolt in it
+ Brightness icons are suboptimal
Changed in ubuntu-themes (Ubuntu):
importance: Undecided → Low
Changed in ubuntu-system-settings (Ubuntu):
importance: Undecided → Low
Matthieu James (tiheum) wrote :

The actual icons are suboptimal because they were designed for the torch feature, but we have already an icon called display-brightness-symbolic that was supposed to be used in the system settings menu to access to the brightness settings (I don't know if this still exists).

So, I added two icons to the theme:
* display-brightness-max which is a symbolic link of display-brightness-symbolic
* display-brightness-min is the same in half transparency

See http://bazaar.launchpad.net/~tiheum/ubuntu-themes/suru-icons/revision/372

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-themes - 14.04+14.10.20140701-0ubuntu1

---------------
ubuntu-themes (14.04+14.10.20140701-0ubuntu1) utopic; urgency=low

  [ Matthieu James ]
  * Added a sample JSON file to build lists of icons and modified app
    icons according to the standardized colour palette. (LP: #1289465)
 -- Ubuntu daily release <email address hidden> Tue, 01 Jul 2014 07:52:02 +0000

Changed in ubuntu-themes (Ubuntu):
status: Confirmed → Fix Released
Pat McGowan (pat-mcgowan) wrote :

New icons in use

Changed in ubuntu-system-settings (Ubuntu):
status: Confirmed → Fix Released
Matthew Paul Thomas (mpt) wrote :

The icons are still unchanged in r152. Reopening.

Changed in ubuntu-system-settings (Ubuntu):
status: Fix Released → Confirmed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-system-settings - 0.3+15.04.20141103-0ubuntu1

---------------
ubuntu-system-settings (0.3+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Use the SliderMenu component instead of the Slider component, it
    matches the design and doesn't flicker while changing the
    brightness. (LP: #1289465)
  * Need to create UpClient regardless of upower version

  [ Sebastien Bacher ]
  * [storage] build the correct ini name rather than guessing it (LP:
    #1387834)
  * [battery] don't use a colored icon (LP: #1351383)

  [ Michael Terry ]
  * Redesign location page according to latest design visuals / text.
    Allows GPS-only, GPS+HERE, or nothing at all. (LP: #1384763)

  [ Ubuntu daily release ]
  * New rebuild forced
 -- Ubuntu daily release <email address hidden> Mon, 03 Nov 2014 17:30:03 +0000

Changed in ubuntu-system-settings (Ubuntu):
status: Confirmed → Fix Released
Charles Kerr (charlesk) on 2015-03-03
Changed in ubuntu-themes (Ubuntu):
status: Fix Released → Triaged
status: Triaged → Fix Released
Charles Kerr (charlesk) on 2015-03-20
Changed in indicator-power (Ubuntu):
status: New → Triaged
importance: Undecided → Low
assignee: nobody → Charles Kerr (charlesk)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-power - 12.10.6+15.04.20150331-0ubuntu1

---------------
indicator-power (12.10.6+15.04.20150331-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * For the brightness slider, use the same left & right icons as ubunu-
    system-settings (LP: #1289465)
 -- CI Train Bot <email address hidden> Tue, 31 Mar 2015 20:24:46 +0000

Changed in indicator-power (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers